libdap::AttrTable::entry Struct Reference

`#include <AttrTable.h>`

## Public Member Functions

void | clone (const entry &rhs)
void | delete_entry ()
| entry (const entry &rhs)
bool | is_dap4_type (const std::string &path, std::vector< std::string > &inventory) const
entry & | operator= (const entry &rhs)

## Public Attributes

string | aliased_to
std::vector< string > * | attr
AttrTable * | attributes
bool | is_alias
bool | is_global
bool | is_utf8_str = false
string | name
AttrType | type

## Detailed Description

Each AttrTable has zero or more entries. Instead of accessing this struct's members directly, use AttrTable methods.

This struct is public because its type is used in public typedefs.

Definition at line 158 of file AttrTable.h.

## Constructor & Destructor Documentation

## entry() [1/2]

libdap::AttrTable::entry::entry | ( |  | ) |

inline

Definition at line 174 of file AttrTable.h.

## entry() [2/2]

libdap::AttrTable::entry::entry | ( | const entry & | rhs | ) |

inline

Definition at line 177 of file AttrTable.h.

## ~entry()

virtual libdap::AttrTable::entry::~entry | ( |  | ) |

inline virtual

Definition at line 195 of file AttrTable.h.

## Member Function Documentation

## clone()

void libdap::AttrTable::entry::clone | ( | const entry & | rhs | ) |

inline

Definition at line 197 of file AttrTable.h.

## delete_entry()

void libdap::AttrTable::entry::delete_entry | ( |  | ) |

inline

Definition at line 183 of file AttrTable.h.

## is_dap4_type()

bool libdap::AttrTable::entry::is_dap4_type | ( | const std::string & | path,
|  | std::vector< std::string > & | inventory
| ) |  | const

inline

Returns true if this Attribute is a dap4 type.

Parameters

  path |
  inventory |

Returns
  True of the attribute is a dap4 type, false otherwise

Definition at line 239 of file AttrTable.h.

## operator=()

entry & libdap::AttrTable::entry::operator= | ( | const entry & | rhs | ) |

inline

Definition at line 225 of file AttrTable.h.

## Member Data Documentation

## aliased_to

string libdap::AttrTable::entry::aliased_to

Definition at line 163 of file AttrTable.h.

## attr

std::vector<string>* libdap::AttrTable::entry::attr

Definition at line 172 of file AttrTable.h.

## attributes

AttrTable* libdap::AttrTable::entry::attributes

Definition at line 171 of file AttrTable.h.

## is_alias

bool libdap::AttrTable::entry::is_alias

Definition at line 162 of file AttrTable.h.

## is_global

bool libdap::AttrTable::entry::is_global

Definition at line 165 of file AttrTable.h.

## is_utf8_str

bool libdap::AttrTable::entry::is_utf8_str = false

Definition at line 167 of file AttrTable.h.

## name

string libdap::AttrTable::entry::name

Definition at line 159 of file AttrTable.h.

## type

AttrType libdap::AttrTable::entry::type

Definition at line 160 of file AttrTable.h.

The documentation for this struct was generated from the following file:

- AttrTable.h